//
//
//
// DDSHEET.DCL 1.2 (c), Greg MacGeorge August 1995
//
//
// DDSHEET.dcl - Used to get input for the DDSHEET.LSP program.


dcl_settings : default_dcl_settings { audit_level = 0; }

datasht : dialog {
    label = "Data Sheet Library";
    : row {
        : radio_column {
        label = "Hardware Items:";
           :radio_button {
                key = "drill";
                label = "Drill Sizes";
                }
           :radio_button {
                key = "tap";
                label = "Tap Sizes";
                }
           :radio_button {
                key = "nut";
                label = "Nuts";
                }
           :radio_button {
                key = "flhscrew";
                label = "Flat HD Cap";
                }
           :radio_button {
                key = "uncbolt";
                label = "UNC Bolt";
                }
           :radio_button {
                key = "unfbolt";
                label = "UNF Bolt";
                }
           :radio_button {
                key = "socket";
                label = "Socket Hd Cap";
                }
           :radio_button {
                key = "washer";
                label = "Washers";
                }
           :radio_button {
                key = "edge";
                label = "Min Edge Dist";
                }
        }
        
        : radio_column {
        label = "Struc Steel:";
           :radio_button {
                key = "angle";
                label = "Angle Iron";
                }
           :radio_button {
                key = "channel";
                label = "Channels";
                }
           :radio_button {
                key = "ibeam";
                label = "I-Beams";
                }
        }
        
        : radio_column {
        label = "Fab Components:";
           :radio_button {
                key = "sheet";
                label = "Sheet Metal";
                }
           :radio_button {
                key = "wire";
                label = "Wire Sizes";
                }
           :radio_button {
                key = "pipe";
                label = "Pipe Sizes";
                }
           :radio_button {
                key = "pipethd";
                label = "Pipe Thread";
                }
           :radio_button {
                key = "tube";
                label = "Tubing Sizes";
                }
        }
        
        : radio_column {
        label = "Conver/Formulas:";
           :radio_button {
                key = "in-ft";
                label = "In-Ft";
                }
           :radio_button {
                key = "fracs";
                label = "Fractions";
                }
           :radio_button {
                key = "conver";
                label = "Conver Tbl";
                }
           :radio_button {
                key = "mintodeg";
                label = "Min-Dec Deg";
                }
        }
    }    
    :row {ok_button;}
}



//
//
//
//
//
//
registr : dialog {
    label = "DDSHEET.LSP Registration";
        : boxed_column {
        : text {
            label = "               DDSHEET SHAREWARE VERSION 1.2";
            }
        }
        spacer_1;
        : boxed_column {
        : text {
            label = "        This program is NOT a registered version!!";
            }
        
        :boxed_row {
        :column {
        : text {
            label = "DDSHEET.LSP will become disabled after";
            }}
        :column {
        : text {
            key = "run_count";
            label = "";
            fixed_width = true;
            width = 2;
            }}
        :column {
        : text {
            label = "more executions";
            }}
        }


        : text {
            label = "To register: E-Mail Greg M. MacGeorge 76725,1023";
            }
        spacer_1;
        : text {
            label = "When registration is complete you get:";
            }
        : text {
            label = "1. The latest program version";
            }
        : text {
            label = "   with all working features.";
            }
        : text {
            label = "2. Full program documentation.";
            }
        : text {
            label = "3. Notification of program updates.";
            }
        spacer_1;
        : text {
            label = "   $9.95 + $1.50 S/H";
            }
        }
        :row {cancel_button;}
}
//
//
//

